org.apache.calcite.avatica.proto

## Class Common.AvaticaParameter

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - org.apache.calcite.avatica.proto.Common.AvaticaParameter

All Implemented Interfaces:
  com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, Common.AvaticaParameterOrBuilder

Enclosing class:
  Common

    public static final class Common.AvaticaParameter
    extends com.google.protobuf.GeneratedMessageV3
    implements Common.AvaticaParameterOrBuilder

     Metadata for a parameter

Protobuf type `AvaticaParameter`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `Common.AvaticaParameter.Builder` Metadata for a parameter

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`

### Field Summary

Fields
`static int` `CLASS_NAME_FIELD_NUMBER`
`private Object` `className_`
`private static Common.AvaticaParameter` `DEFAULT_INSTANCE`
`private byte` `memoizedIsInitialized`
`private Object` `name_`
`static int` `NAME_FIELD_NUMBER`
`static int` `PARAMETER_TYPE_FIELD_NUMBER`
`private int` `parameterType_`
`private static com.google.protobuf.Parser<Common.AvaticaParameter>` `PARSER`
`private int` `precision_`
`static int` `PRECISION_FIELD_NUMBER`
`private int` `scale_`
`static int` `SCALE_FIELD_NUMBER`
`private static long` `serialVersionUID`
`private boolean` `signed_`
`static int` `SIGNED_FIELD_NUMBER`
`static int` `TYPE_NAME_FIELD_NUMBER`
`private Object` `typeName_`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Constructor Summary

Constructors
`private` `AvaticaParameter()`
`private` `AvaticaParameter(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`private` `AvaticaParameter(com.google.protobuf.GeneratedMessageV3.Builder<?> builder)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`String` `getClassName()` `string class_name = 6;`
`com.google.protobuf.ByteString` `getClassNameBytes()` `string class_name = 6;`
`static Common.AvaticaParameter` `getDefaultInstance()`
`Common.AvaticaParameter` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`String` `getName()` `string name = 7;`
`com.google.protobuf.ByteString` `getNameBytes()` `string name = 7;`
`int` `getParameterType()` `uint32 parameter_type = 4;`
`com.google.protobuf.Parser<Common.AvaticaParameter>` `getParserForType()`
`int` `getPrecision()` `uint32 precision = 2;`
`int` `getScale()` `uint32 scale = 3;`
`int` `getSerializedSize()`
`boolean` `getSigned()` `bool signed = 1;`
`String` `getTypeName()` `string type_name = 5;`
`com.google.protobuf.ByteString` `getTypeNameBytes()` `string type_name = 5;`
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`int` `hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static Common.AvaticaParameter.Builder` `newBuilder()`
`static Common.AvaticaParameter.Builder` `newBuilder(Common.AvaticaParameter prototype)`
`Common.AvaticaParameter.Builder` `newBuilderForType()`
`protected Common.AvaticaParameter.Builder` `newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`static Common.AvaticaParameter` `parseDelimitedFrom(InputStream input)`
`static Common.AvaticaParameter` `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.AvaticaParameter` `parseFrom(byte[] data)`
`static Common.AvaticaParameter` `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.AvaticaParameter` `parseFrom(ByteBuffer data)`
`static Common.AvaticaParameter` `parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.AvaticaParameter` `parseFrom(com.google.protobuf.ByteString data)`
`static Common.AvaticaParameter` `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.AvaticaParameter` `parseFrom(com.google.protobuf.CodedInputStream input)`
`static Common.AvaticaParameter` `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.AvaticaParameter` `parseFrom(InputStream input)`
`static Common.AvaticaParameter` `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<Common.AvaticaParameter>` `parser()`
`Common.AvaticaParameter.Builder` `toBuilder()`
`void` `writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`computeStringSize, computeStringSizeNoTag, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, newBuilderForType, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Field Detail

#### SIGNED_FIELD_NUMBER

    public static final int SIGNED_FIELD_NUMBER

See Also:
  Constant Field Values

#### signed_

    private boolean signed_

#### PRECISION_FIELD_NUMBER

    public static final int PRECISION_FIELD_NUMBER

See Also:
  Constant Field Values

#### precision_

    private int precision_

#### SCALE_FIELD_NUMBER

    public static final int SCALE_FIELD_NUMBER

See Also:
  Constant Field Values

#### scale_

    private int scale_

#### PARAMETER_TYPE_FIELD_NUMBER

    public static final int PARAMETER_TYPE_FIELD_NUMBER

See Also:
  Constant Field Values

#### parameterType_

    private int parameterType_

#### TYPE_NAME_FIELD_NUMBER

    public static final int TYPE_NAME_FIELD_NUMBER

See Also:
  Constant Field Values

#### typeName_

    private volatile Object typeName_

#### CLASS_NAME_FIELD_NUMBER

    public static final int CLASS_NAME_FIELD_NUMBER

See Also:
  Constant Field Values

#### className_

    private volatile Object className_

#### NAME_FIELD_NUMBER

    public static final int NAME_FIELD_NUMBER

See Also:
  Constant Field Values

#### name_

    private volatile Object name_

#### memoizedIsInitialized

    private byte memoizedIsInitialized

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

#### DEFAULT_INSTANCE

    private static final Common.AvaticaParameter DEFAULT_INSTANCE

#### PARSER

    private static final com.google.protobuf.Parser<Common.AvaticaParameter> PARSER

### Constructor Detail

#### AvaticaParameter

    private AvaticaParameter(com.google.protobuf.GeneratedMessageV3.Builder<?> builder)

#### AvaticaParameter

    private AvaticaParameter()

#### AvaticaParameter

    private AvaticaParameter(com.google.protobuf.CodedInputStream input,
                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                      throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### Method Detail

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getSigned

    public boolean getSigned()

`bool signed = 1;`

Specified by:
  `getSigned` in interface `Common.AvaticaParameterOrBuilder`

#### getPrecision

    public int getPrecision()

`uint32 precision = 2;`

Specified by:
  `getPrecision` in interface `Common.AvaticaParameterOrBuilder`

#### getScale

    public int getScale()

`uint32 scale = 3;`

Specified by:
  `getScale` in interface `Common.AvaticaParameterOrBuilder`

#### getParameterType

    public int getParameterType()

`uint32 parameter_type = 4;`

Specified by:
  `getParameterType` in interface `Common.AvaticaParameterOrBuilder`

#### getTypeName

    public String getTypeName()

`string type_name = 5;`

Specified by:
  `getTypeName` in interface `Common.AvaticaParameterOrBuilder`

#### getTypeNameBytes

    public com.google.protobuf.ByteString getTypeNameBytes()

`string type_name = 5;`

Specified by:
  `getTypeNameBytes` in interface `Common.AvaticaParameterOrBuilder`

#### getClassName

    public String getClassName()

`string class_name = 6;`

Specified by:
  `getClassName` in interface `Common.AvaticaParameterOrBuilder`

#### getClassNameBytes

    public com.google.protobuf.ByteString getClassNameBytes()

`string class_name = 6;`

Specified by:
  `getClassNameBytes` in interface `Common.AvaticaParameterOrBuilder`

#### getName

    public String getName()

`string name = 7;`

Specified by:
  `getName` in interface `Common.AvaticaParameterOrBuilder`

#### getNameBytes

    public com.google.protobuf.ByteString getNameBytes()

`string name = 7;`

Specified by:
  `getNameBytes` in interface `Common.AvaticaParameterOrBuilder`

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static Common.AvaticaParameter parseFrom(ByteBuffer data)
                                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.AvaticaParameter parseFrom(ByteBuffer data,
                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.AvaticaParameter parseFrom(com.google.protobuf.ByteString data)
                                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.AvaticaParameter parseFrom(com.google.protobuf.ByteString data,
                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.AvaticaParameter parseFrom(byte[] data)
                                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.AvaticaParameter parseFrom(byte[] data,
                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.AvaticaParameter parseFrom(InputStream input)
                                             throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Common.AvaticaParameter parseFrom(InputStream input,
                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                             throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static Common.AvaticaParameter parseDelimitedFrom(InputStream input)
                                                      throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static Common.AvaticaParameter parseDelimitedFrom(InputStream input,
                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                      throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Common.AvaticaParameter parseFrom(com.google.protobuf.CodedInputStream input)
                                             throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Common.AvaticaParameter parseFrom(com.google.protobuf.CodedInputStream input,
                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                             throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public Common.AvaticaParameter.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static Common.AvaticaParameter.Builder newBuilder()

#### newBuilder

    public static Common.AvaticaParameter.Builder newBuilder(Common.AvaticaParameter prototype)

#### toBuilder

    public Common.AvaticaParameter.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected Common.AvaticaParameter.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static Common.AvaticaParameter getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<Common.AvaticaParameter> parser()

#### getParserForType

    public com.google.protobuf.Parser<Common.AvaticaParameter> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public Common.AvaticaParameter getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`